# Class JFilebankApi

#### Hierarchy (View Summary)

- JBaseApi
  - JFilebankApi

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:60

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getBanks
getDocuments
getFolders
getParents
getPath
getRootFolders
searchContent

## Constructors

### constructor

- new JFilebankApi(jApi: JamespotUserApi): JFilebankApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JFilebankApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getBanks

- getBanks(
  options?: {
  format?: "raw-little" | "raw-list" | "raw-view";
  signal?: AbortSignal;
  },
  ): Promise<FileBankProps[]>

  #### Parameters

  - `Optional` options: { format?: "raw-little" | "raw-list" | "raw-view"; signal?: AbortSignal }

  #### Returns Promise<FileBankProps[]>

  - Defined in jamespot-user-api/src/apis/filebank/filebank.ts:61

### getDocuments

- getDocuments(
  uri: string,
  options?: {
  format?: "raw-little" | "raw-list" | "raw-view";
  signal?: AbortSignal;
  },
  ): Promise<ApiPagingResults<jArticleView>>

  #### Parameters

  - uri: string
  - `Optional` options: { format?: "raw-little" | "raw-list" | "raw-view"; signal?: AbortSignal }

  #### Returns Promise<ApiPagingResults<jArticleView>>

  - Defined in jamespot-user-api/src/apis/filebank/filebank.ts:94

### getFolders

- getFolders(
  parentURI: string,
  options?: {
  format?: "raw-little" | "raw-list" | "raw-view";
  signal?: AbortSignal;
  },
  ): Promise<ApiWrapper<jFolderList[], BaseMessages>>

  #### Parameters

  - parentURI: string
  - `Optional` options: { format?: "raw-little" | "raw-list" | "raw-view"; signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<jFolderList[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/filebank/filebank.ts:76

### getParents

- getParents<T extends jArticleLittle = jArticleLittle>(
  params: FilebankGetParentsParams,
  options?: {
  format?: "raw-little" | "raw-list" | "raw-view";
  signal?: AbortSignal;
  },
  ): Promise<ApiWrapper<T[], BaseMessages>>

  #### Type Parameters

  - T extends jArticleLittle = jArticleLittle

  #### Parameters

  - params: FilebankGetParentsParams
  - `Optional` options: { format?: "raw-little" | "raw-list" | "raw-view"; signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<T[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/filebank/filebank.ts:143

### getPath

- getPath<T extends jArticleLittle = jArticleLittle>(
  params: FilebankGetPathParams,
  options?: {
  format?: "raw-little" | "raw-list" | "raw-view";
  signal?: AbortSignal;
  },
  ): Promise<ApiWrapper<FilebankPath<T>, BaseMessages>>

  #### Type Parameters

  - T extends jArticleLittle = jArticleLittle

  #### Parameters

  - params: FilebankGetPathParams
  - `Optional` options: { format?: "raw-little" | "raw-list" | "raw-view"; signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<FilebankPath<T>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/filebank/filebank.ts:112

### getRootFolders

- getRootFolders<T extends jFolderLittle = jFolderList>(
  params: { limit?: number; page?: number; query?: string },
  options?: {
  format?: "raw-little" | "raw-list" | "raw-view";
  signal?: AbortSignal;
  },
  ): Promise<ApiPagingResults<T>>

  #### Type Parameters

  - T extends jFolderLittle = jFolderList

  #### Parameters

  - params: { limit?: number; page?: number; query?: string }
  - `Optional` options: { format?: "raw-little" | "raw-list" | "raw-view"; signal?: AbortSignal }

  #### Returns Promise<ApiPagingResults<T>>

  - Defined in jamespot-user-api/src/apis/filebank/filebank.ts:161

### searchContent

- searchContent<T extends jArticleLittle = jArticleLittle>(
  params: FilebankSearchContentParams,
  options?: {
  format?: "raw-little" | "raw-list" | "raw-view";
  signal?: AbortSignal;
  },
  ): Promise<ApiPagingResults<T>>

  #### Type Parameters

  - T extends jArticleLittle = jArticleLittle

  #### Parameters

  - params: FilebankSearchContentParams
  - `Optional` options: { format?: "raw-little" | "raw-list" | "raw-view"; signal?: AbortSignal }

  #### Returns Promise<ApiPagingResults<T>>

  - Defined in jamespot-user-api/src/apis/filebank/filebank.ts:128